HARE-TEST(1)

NAME

hare-test - compile and run tests for Hare code

SYNOPSIS

hare test [-hqv]
[-a arch]
[-D ident[:type]=value]
[-j jobs]
[-L libdir]
[-l libname]
[-o path]
[-R]
[-T tagset]
[path [tests...]]

DESCRIPTION

hare test compiles and runs tests for a Hare program or module. The +test tag is added to the default build tags (see BUILD TAGS in hare-module(5)). If no path is given, all Hare modules in the current working directory are recursively discovered, built, and their tests made eligible for the test run. Otherwise, if a path is given, the source file or module is built and tested.

If no tests are supplied, all eligible tests are run. Otherwise, each argument is interpreted as a glob(7) pattern, giving the names of the tests to run.

OPTIONS

Refer to hare-build(1).

ENVIRONMENT

Refer to hare-build(1).

SEE ALSO

hare-build(1), hare-run(1), hare-module(5)